Bug 577202 - Review Request: python-pycha - A library for drawing charts with Python and Cairo
Summary: Review Request: python-pycha - A library for drawing charts with Python and C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-26 12:49 UTC by Ionuț Arțăriși
Modified: 2010-04-13 01:39 UTC (History)
3 users (show)

Fixed In Version: python-pycha-0.5.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-13 01:39:40 UTC
dan: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ionuț Arțăriși 2010-03-26 12:49:32 UTC
Spec URL: http://mapleoin.fedorapeople.org/pkgs/python-pycha/python-pycha.spec
SRPM URL: http://mapleoin.fedorapeople.org/pkgs/python-pycha/python-pycha-0.5.2-1.fc12.src.rpm

Description: Pycha is a very simple Python package for drawing charts using the great Cairo
library. Its goals are:
    * Lightweight
    * Simple to use
    * Nice looking with default values
    * Customization 
It won't try to draw any possible chart on earth but draw the most common ones
nicely.

Comment 1 Dan Horák 2010-03-26 16:53:33 UTC
Taking for review as Tryton needs it.

Comment 2 Dan Horák 2010-03-27 10:06:36 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

OK      source files match upstream:
            2fb091e021147bb404bcf019876a61cab28814ef  pycha-0.5.2.tar.gz
OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
BAD     license field matches the actual license.
OK      license is open source-compatible (LGPLv3+). License text included in package.
OK      latest version is being packaged.
OK*     BuildRequires are proper.
N/A     compiler flags are appropriate.
OK      %clean is present.
OK      package builds in mock (Rawhide/x86_64).
N/A     debuginfo package looks complete.
BAD     rpmlint is silent.
BAD     final provides and requires look sane.
OK      %check is present and all tests pass.
OK      no shared libraries are added to the regular linker search paths.
OK      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      no scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      no headers.
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      is a GUI app with a desktop file

- the license is LGPLv3+ because the licensing header contains the "or any later vesion" part
- is BR: python-devel really required? Only modules with C code should need it.
- rpmlint complains a bit:
chavier.noarch: W: spelling-error Summary(en_US) pycha -> psych, Pynchon, Psyche
chavier.noarch: W: summary-not-capitalized C a GUI application for exploring the pycha library
    => I would even shorten it to "Application for exploring the pycha library"
chavier.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
    => should be fixed
chavier.noarch: W: spelling-error %description -l en_US pycha -> psych, Pynchon, Psyche
chavier.noarch: W: no-documentation
    => the "pycha" check can be ignored
- pycairo must be set as Requires, it is imported by few files in the pycha module
- I would not include the tests as %doc, examples should be enough

Comment 3 Ionuț Arțăriși 2010-03-27 11:23:33 UTC
Thanks a lot for your review!

> - the license is LGPLv3+ because the licensing header contains the "or any
> later vesion" part

fixed

> - is BR: python-devel really required? Only modules with C code should need it.

yeah, AFAIK it's required as per: https://fedoraproject.org/wiki/Packaging:Python#BuildRequires
It also fails to build without it: http://koji.fedoraproject.org/koji/taskinfo?taskID=2078411

I changed it to python2-devel instead of python-devel though.

> - rpmlint complains a bit:
> chavier.noarch: W: spelling-error Summary(en_US) pycha -> psych, Pynchon,
> Psyche
> chavier.noarch: W: summary-not-capitalized C a GUI application for exploring
> the pycha library
>     => I would even shorten it to "Application for exploring the pycha library"
I changed it to "GUI application for exploring the pycha library". I feel that the fact that it has a GUI is important.

> chavier.noarch: W: spelling-error %description -l en_US datasets -> data sets,
> data-sets, databases
>     => should be fixed

fixed

> chavier.noarch: W: spelling-error %description -l en_US pycha -> psych,
> Pynchon, Psyche
> chavier.noarch: W: no-documentation
>     => the "pycha" check can be ignored
> - pycairo must be set as Requires, it is imported by few files in the pycha
> module

fixed

> - I would not include the tests as %doc, examples should be enough

removed tests

* Sat Mar 27 2010 Ionuț C. Arțăriși <mapleoin@fedoraproject.org> - 0.5.2-2
- changed license from LGPLv3 to LGPLv3+
- fixed spelling error in %%description
- capitalized chavier package %%summary
- added pycairo Requires
- removed tests

http://mapleoin.fedorapeople.org/pkgs/python-pycha/python-pycha.spec
http://mapleoin.fedorapeople.org/pkgs/python-pycha/python-pycha-0.5.2-2.fc12.src.rpm

Comment 4 Dan Horák 2010-03-27 13:52:09 UTC
All issues are resolved and the package is APPROVED.

If you don't plan to maintain pycha in EPEL, please ask for at least EL-5 branch and set me (=sharkcz) as comaintainer in the CVS request. I will then take care of it.

Comment 5 Ionuț Arțăriși 2010-03-27 15:43:44 UTC
New Package CVS Request
=======================
Package Name: python-pycha
Short Description: A library for drawing charts with Python and Cairo
Owners: mapleoin sharkcz
Branches: F-12 F-13 EL-5


Sure, EL-5 is all yours. Thanks again!

Comment 6 Kevin Fenzi 2010-03-30 21:44:33 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-03-31 12:50:42 UTC
python-pycha-0.5.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-pycha-0.5.2-2.fc12

Comment 8 Dan Horák 2010-03-31 13:23:04 UTC
Unfortunately pycairo is too old in RHEL5 too, so I will continue with EL-6.

Comment 9 Fedora Update System 2010-04-03 04:49:30 UTC
python-pycha-0.5.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-pycha'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-pycha-0.5.2-2.fc12

Comment 10 Fedora Update System 2010-04-13 01:39:35 UTC
python-pycha-0.5.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.